//____________________________________________________________
//    PoorMansQDGX.cp
//
//    Copyright  Dan Parks Sydow, 1995
//    From the book:
//    "Graphics and Sound Programming Techniques for the Mac",
//    M&T Books, 1995

//____________________________________________________________

class  LineObject
{
   private:
      short  thickness;
      short  xBegin;
      short  yBegin;
      short  xEnd;
      short  yEnd;
      
   public:
      void  SetLineSize( short );
      void  SetLineCoordinates( short, short, short, short );
      void  DrawLine( void );
};


//____________________________________________________________

void  LineObject :: SetLineSize( short width )
{  
   this->thickness = width;
}


void  LineObject :: SetLineCoordinates( short x1, short y1, 
                                        short x2, short y2 )
{  
   this->xBegin = x1;
   this->yBegin = y1;
   this->xEnd   = x2;
   this->yEnd   = y2;
}


void  LineObject :: DrawLine( void )
{  
   PenSize( this->thickness, this->thickness );
   MoveTo( this->xBegin, this->yBegin );
   LineTo( this->xEnd, this->yEnd );
}


//____________________________________________________________

void  main( void )
{   
   WindowPtr   theWindow;   
   LineObject  *theLine;
   
   InitGraf( &qd.thePort );
   InitFonts();
   InitWindows();

   theWindow = GetNewWindow( 128, nil, (WindowPtr)-1L );
   SetPort( theWindow );

   theLine = new LineObject;
   
   theLine->SetLineSize( 5 );
   theLine->SetLineCoordinates( 20, 50, 120, 50 );
   theLine->DrawLine();

   while ( !Button() )
      ;
}

