//____________________________________________________________
//    WindRecordAccess.c
//
//    Copyright  Dan Parks Sydow, 1995
//    From the book:
//    "Graphics and Sound Programming Techniques for the Mac",
//    M&T Books, 1995


//____________________________________________________________

#include "Defines.h"
#include "DataTypes.h"
#include "Globals.h"
#include "WindRecordAccess.h"


//____________________________________________________________

void  SetWindowType( WindowPtr theWindow, short type )
{
   BigWindRecordPeek  theBigPeek;

   theBigPeek = (BigWindRecordPeek)theWindow;
   theBigPeek->theWindType = type;
}


//____________________________________________________________

void  SetWindowFileReference( WindowPtr theWindow, short theFileRefNum )
{
   BigWindRecordPeek  theBigPeek;

   theBigPeek = (BigWindRecordPeek)theWindow;
   theBigPeek->theFileReference = theFileRefNum;
}


//____________________________________________________________

void  SetWindowMovieResourceID( WindowPtr theWindow, short theMovieResID )
{
   BigWindRecordPeek  theBigPeek;

   theBigPeek = (BigWindRecordPeek)theWindow;
   theBigPeek->theMovieResourceID = theMovieResID;
}


//____________________________________________________________

void  SetWindowMovie( WindowPtr theWindow, Movie theMovie )
{
   BigWindRecordPeek  theBigPeek;

   theBigPeek = (BigWindRecordPeek)theWindow;
   theBigPeek->theMovie = theMovie;
}


//____________________________________________________________

void  SetWindowController( WindowPtr theWindow, MovieController theController )
{
   BigWindRecordPeek  theBigPeek;

   theBigPeek = (BigWindRecordPeek)theWindow;
   theBigPeek->theController = theController;
}


//____________________________________________________________

short  GetWindowType( WindowPtr theWindow )
{
   BigWindRecordPeek  theBigPeek;

   theBigPeek = (BigWindRecordPeek)theWindow; 
   return ( theBigPeek->theWindType );
}


//____________________________________________________________

short  GetWindowFileReference( WindowPtr theWindow )
{
   BigWindRecordPeek  theBigPeek;

   theBigPeek = (BigWindRecordPeek)theWindow; 
   return ( theBigPeek->theFileReference );
}


//____________________________________________________________

short  GetWindowMovieResourceID( WindowPtr theWindow )
{
   BigWindRecordPeek  theBigPeek;

   theBigPeek = (BigWindRecordPeek)theWindow; 
   return ( theBigPeek->theMovieResourceID );
}


//____________________________________________________________

Movie  GetWindowMovie( WindowPtr theWindow )
{
   BigWindRecordPeek  theBigPeek;

   theBigPeek = (BigWindRecordPeek)theWindow; 
   return ( theBigPeek->theMovie );
}


//____________________________________________________________

MovieController  GetWindowController( WindowPtr theWindow )
{
   BigWindRecordPeek  theBigPeek;

   theBigPeek = (BigWindRecordPeek)theWindow; 
   return ( theBigPeek->theController );
}
