
//____________________________________________________________
//    Initialize.c
//
//    Copyright  Dan Parks Sydow, 1995
//    From the book:
//    "Graphics and Sound Programming Techniques for the Mac",
//    M&T Books, 1995


//____________________________________________________________

#include <Movies.h>

#include "Defines.h"
#include "DataTypes.h"
#include "Globals.h"
#include "Initialize.h"


//____________________________________________________________

void  InitializeAllToolboxes( void )
{
   OSErr  theError;
   long   theResult;

   InitGraf( &qd.thePort );
   InitFonts();
   InitWindows();
   InitMenus();
   TEInit();
   InitDialogs( 0L );
   FlushEvents( everyEvent, 0 );
   InitCursor();

   MoreMasters();
   MoreMasters();
   MaxApplZone();
   
   theError = Gestalt( gestaltQuickTime, &theResult );
   if ( theError != noErr )
      ExitToShell();
                                                 
   theError = EnterMovies();  
   if ( theError != noErr )
      ExitToShell(); 
}


//____________________________________________________________

void  SetUpMenuBar( void )     
{       
   Handle      theMenuBar;  
   MenuHandle  theAppleMenu;
   
   theMenuBar = GetNewMBar( rMenuBar );      
   SetMenuBar( theMenuBar );
   DisposeHandle( theMenuBar );
   
   theAppleMenu = GetMHandle( mApple );
   AddResMenu( theAppleMenu, 'DRVR' ); 

   DrawMenuBar(); 
}

